[oe-commits] org.oe.dev Dbus: add 1.0.0 release, needs testing before removing DEFAULT_PREFERENCE = -1

koen commit openembedded-commits at lists.openembedded.org
Sat Nov 11 12:35:46 UTC 2006


Dbus: add 1.0.0 release, needs testing before removing DEFAULT_PREFERENCE = -1

Author: koen at openembedded.org
Branch: org.openembedded.dev
Revision: e70382d5e407f3e867cf9fe07a2a0b85eede0819
ViewMTN: http://monotone.openembedded.org/revision.psp?id=e70382d5e407f3e867cf9fe07a2a0b85eede0819
Files:
1
packages/dbus/dbus-1.0.0
packages/dbus/dbus-1.0.0/cross.patch
packages/dbus/dbus-1.0.0/dbus-1.init
packages/dbus/dbus-1.0.0/fix-install-daemon.patch
packages/dbus/dbus_1.0.0.bb
Diffs:

#
# mt diff -r9ee83d0951efdfafb49decd347861a6a51063969 -re70382d5e407f3e867cf9fe07a2a0b85eede0819
#
# 
# 
# add_dir "packages/dbus/dbus-1.0.0"
# 
# add_file "packages/dbus/dbus-1.0.0/cross.patch"
#  content [8893afa8766367ecce4e78b1bbede8c7e4781336]
# 
# add_file "packages/dbus/dbus-1.0.0/dbus-1.init"
#  content [93c0976d23d26fd79fd7de909c4d7e19b32d1864]
# 
# add_file "packages/dbus/dbus-1.0.0/fix-install-daemon.patch"
#  content [a130a0f9e1442b0848f09d45516d4c1fae678502]
# 
# add_file "packages/dbus/dbus_1.0.0.bb"
#  content [30c78e40400fe6d8d71b2c6d6298bf96a4763140]
# 
============================================================
--- packages/dbus/dbus-1.0.0/cross.patch	8893afa8766367ecce4e78b1bbede8c7e4781336
+++ packages/dbus/dbus-1.0.0/cross.patch	8893afa8766367ecce4e78b1bbede8c7e4781336
@@ -0,0 +1,10 @@
+--- /tmp/configure.in	2006-11-09 21:47:10.000000000 +0100
++++ dbus-0.95/configure.in	2006-11-09 21:48:13.108554000 +0100
+@@ -719,6 +719,7 @@
+     exit (0);
+ ]])],
+               [ac_cv_have_abstract_sockets=yes],
++	      [ac_cv_have_abstract_sockets=no],
+               [ac_cv_have_abstract_sockets=no]
+ )])
+ AC_LANG_POP(C)
============================================================
--- packages/dbus/dbus-1.0.0/dbus-1.init	93c0976d23d26fd79fd7de909c4d7e19b32d1864
+++ packages/dbus/dbus-1.0.0/dbus-1.init	93c0976d23d26fd79fd7de909c4d7e19b32d1864
@@ -0,0 +1,88 @@
+#! /bin/sh
+# -*- coding: utf-8 -*-
+# Debian init.d script for D-BUS
+# Copyright © 2003 Colin Walters <walters at debian.org>
+
+set -e
+
+DAEMON=/usr/bin/dbus-daemon
+NAME=dbus
+DAEMONUSER=messagebus
+PIDDIR=/var/run/dbus
+PIDFILE=$PIDDIR/pid
+DESC="system message bus"
+EVENTDIR=/etc/dbus-1/event.d
+
+test -x $DAEMON || exit 0
+
+# Source defaults file; edit that file to configure this script.
+ENABLED=1
+PARAMS=""
+if [ -e /etc/default/dbus ]; then
+  . /etc/default/dbus
+fi
+
+test "$ENABLED" != "0" || exit 0
+
+start_it_up()
+{
+  if [ ! -d $PIDDIR ]; then
+    mkdir -p $PIDDIR
+    chown $DAEMONUSER $PIDDIR
+    chgrp $DAEMONUSER $PIDDIR
+  fi
+  if [ -e $PIDFILE ]; then
+    PIDDIR=/proc/$(cat $PIDFILE)
+    if [ -d ${PIDDIR} -a  "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then 
+      echo "$DESC already started; not starting."
+    else
+      echo "Removing stale PID file $PIDFILE."
+      rm -f $PIDFILE
+    fi
+  fi
+ 
+  dbus-uuidgen --ensure  
+  echo -n "Starting $DESC: "
+  start-stop-daemon --start --quiet --pidfile $PIDFILE \
+    --user $DAEMONUSER --exec $DAEMON -- --system $PARAMS
+  echo "$NAME."
+  if [ -d $EVENTDIR ]; then
+      run-parts --arg=start $EVENTDIR
+  fi
+}
+
+shut_it_down()
+{
+  if [ -d $EVENTDIR ]; then
+      run-parts --reverse --arg=stop $EVENTDIR
+  fi
+  echo -n "Stopping $DESC: "
+  start-stop-daemon --stop  --quiet --pidfile $PIDFILE \
+    --user $DAEMONUSER
+  # We no longer include these arguments so that start-stop-daemon
+  # can do its job even given that we may have been upgraded.
+  # We rely on the pidfile being sanely managed
+  # --exec $DAEMON -- --system $PARAMS
+  echo "$NAME."
+  rm -f $PIDFILE
+}
+
+case "$1" in
+  start)
+    start_it_up
+  ;;
+  stop)
+    shut_it_down
+  ;;
+  restart|force-reload)
+    shut_it_down
+    sleep 1
+    start_it_up
+  ;;
+  *)
+    echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
+    exit 1
+  ;;
+esac
+
+exit 0
============================================================
--- packages/dbus/dbus-1.0.0/fix-install-daemon.patch	a130a0f9e1442b0848f09d45516d4c1fae678502
+++ packages/dbus/dbus-1.0.0/fix-install-daemon.patch	a130a0f9e1442b0848f09d45516d4c1fae678502
@@ -0,0 +1,13 @@
+Index: dbus-0.94/bus/Makefile.am
+===================================================================
+--- dbus-0.94.orig/bus/Makefile.am	2006-10-01 17:36:18.000000000 +0200
++++ dbus-0.94/bus/Makefile.am	2006-10-14 21:40:05.000000000 +0200
+@@ -110,7 +110,7 @@
+ 		$(mkinstalldirs) $(DESTDIR)$(DBUS_DAEMONDIR); \
+ 		chmod 755 $(DESTDIR)$(DBUS_DAEMONDIR); \
+ 	fi
+-	$(INSTALL_PROGRAM) dbus-daemon $(DESTDIR)$(DBUS_DAEMONDIR)
++	$(INSTALL_PROGRAM) .libs/dbus-daemon $(DESTDIR)$(DBUS_DAEMONDIR)
+ 	$(mkinstalldirs) $(DESTDIR)$(localstatedir)/run/dbus
+ 	$(mkinstalldirs) $(DESTDIR)$(configdir)/system.d
+ 	$(mkinstalldirs) $(DESTDIR)$(datadir)/dbus-1/services
============================================================
--- packages/dbus/dbus_1.0.0.bb	30c78e40400fe6d8d71b2c6d6298bf96a4763140
+++ packages/dbus/dbus_1.0.0.bb	30c78e40400fe6d8d71b2c6d6298bf96a4763140
@@ -0,0 +1,63 @@
+DEFAULT_PREFERENCE = "-1"
+
+SECTION = "base"
+HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
+DESCRIPTION = "message bus system for applications to talk to one another"
+LICENSE = "GPL"
+DEPENDS = "expat glib-2.0 virtual/libintl"
+
+SRC_URI = "http://dbus.freedesktop.org/releases/dbus/dbus-${PV}.tar.gz \
+	   file://tmpdir.patch;patch=1 \
+	   file://dbus-1.init \
+	   file://fix-segfault.patch;patch=1 \
+           file://cross.patch;patch=1 \
+	   file://fix-install-daemon.patch;patch=1"
+
+inherit autotools pkgconfig update-rc.d gettext
+
+INITSCRIPT_NAME = "dbus-1"
+INITSCRIPT_PARAMS = "defaults"
+
+CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
+
+FILES_${PN} = "${bindir}/dbus-daemon ${bindir}/dbus-launch ${bindir}/dbus-cleanup-sockets ${bindir}/dbus-send ${bindir}/dbus-monitor ${bindir}/dbus-uuidgen ${sysconfdir} ${datadir}/dbus-1/services ${libdir}/lib*.so.*"
+FILES_${PN}-dev += "${libdir}/dbus-1.0/include"
+
+pkg_postinst_dbus() {
+#!/bin/sh
+
+# can't do adduser stuff offline
+if [ "x$D" != "x" ]; then
+  exit 1
+fi
+
+MESSAGEUSER=messagebus
+MESSAGEHOME=/var/run/dbus
+
+mkdir -p $MESSAGEHOME || true
+chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
+chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
+}
+
+EXTRA_OECONF = "--disable-qt  --disable-qt3 --disable-gtk --disable-tests \
+		--disable-checks --disable-xml-docs --disable-doxygen-docs \
+		--with-xml=expat --without-x"
+
+do_stage () {
+	oe_libinstall -so -C dbus libdbus-1 ${STAGING_LIBDIR}
+
+	autotools_stage_includes
+
+	mkdir -p ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
+	install -m 0644 dbus/dbus-arch-deps.h ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
+}
+
+do_install_append () {
+	install -d ${D}${sysconfdir}/init.d
+	install -m 0755 ${WORKDIR}/dbus-1.init ${D}${sysconfdir}/init.d/dbus-1
+}
+
+python populate_packages_prepend () {
+	if (bb.data.getVar('DEBIAN_NAMES', d, 1)):
+		bb.data.setVar('PKG_dbus', 'dbus-1', d)
+}






More information about the Openembedded-commits mailing list